Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::BeautyOptions Struct Reference

`#include <AgoraBase.h>`

## Public Types
enum | LIGHTENING_CONTRAST_LEVEL { LIGHTENING_CONTRAST_LOW = 0 , LIGHTENING_CONTRAST_NORMAL = 1 , LIGHTENING_CONTRAST_HIGH = 2 }

## Public Member Functions
| BeautyOptions (LIGHTENING_CONTRAST_LEVEL contrastLevel, float lightening, float smoothness, float redness, float sharpness)
| BeautyOptions ()

## Public Attributes
LIGHTENING_CONTRAST_LEVEL | lighteningContrastLevel
float | lighteningLevel
float | smoothnessLevel
float | rednessLevel
float | sharpnessLevel

## Detailed Description

Image enhancement options.

## Member Enumeration Documentation

## ◆ LIGHTENING_CONTRAST_LEVEL

enum agora::rtc::BeautyOptions::LIGHTENING_CONTRAST_LEVEL

The contrast level.

Enumerator
LIGHTENING_CONTRAST_LOW | Low contrast level.
LIGHTENING_CONTRAST_NORMAL | (Default) Normal contrast level.
LIGHTENING_CONTRAST_HIGH | High contrast level.

## Constructor & Destructor Documentation

## ◆ BeautyOptions() [1/2]

agora::rtc::BeautyOptions::BeautyOptions | ( | LIGHTENING_CONTRAST_LEVEL | contrastLevel,
|  | float | lightening,
|  | float | smoothness,
|  | float | redness,
|  | float | sharpness )
| inline

## ◆ BeautyOptions() [2/2]

agora::rtc::BeautyOptions::BeautyOptions | ( |  | ) |
| inline

## Member Data Documentation

## ◆ lighteningContrastLevel

LIGHTENING_CONTRAST_LEVEL agora::rtc::BeautyOptions::lighteningContrastLevel

The contrast level, used with the `lighteningLevel` parameter. The larger the value, the greater the contrast between light and dark. See LIGHTENING_CONTRAST_LEVEL.

## ◆ lighteningLevel

float agora::rtc::BeautyOptions::lighteningLevel

The brightness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The greater the value, the greater the degree of whitening.

## ◆ smoothnessLevel

float agora::rtc::BeautyOptions::smoothnessLevel

The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The greater the value, the greater the degree of skin grinding.

## ◆ rednessLevel

float agora::rtc::BeautyOptions::rednessLevel

The redness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The larger the value, the greater the rosy degree.

## ◆ sharpnessLevel

float agora::rtc::BeautyOptions::sharpnessLevel

The sharpness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.0. The larger the value, the greater the sharpening degree.